package com.mx.dla.dda.ncredito.general.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class ContratoNotaCreditoDetalleDTO extends BaseDTO {

	private static final long          serialVersionUID = -8929831992698412106L;

	private Long                       idContrato;
	private String                     numeroContrato;
	private String                     costo;
	private String                     monto;
	private String                     idSap;
	private String                     claveIva;

	private List<TituloNotaCreditoDTO> titulos;

	public Long getIdContrato() {
		return idContrato;
	}

	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}

	public String getNumeroContrato() {
		return numeroContrato;
	}

	public void setNumeroContrato(String numeroContrato) {
		this.numeroContrato = numeroContrato;
	}

	public String getCosto() {
		return costo;
	}

	public void setCosto(String costo) {
		this.costo = costo;
	}

	public String getMonto() {
		return monto;
	}

	public void setMonto(String monto) {
		this.monto = monto;
	}

	public List<TituloNotaCreditoDTO> getTitulos() {
		return titulos;
	}

	public void setTitulos(List<TituloNotaCreditoDTO> titulos) {
		this.titulos = titulos;
	}

	public String getIdSap() {
		return idSap;
	}

	public void setIdSap(String idSap) {
		this.idSap = idSap;
	}

	public String getClaveIva() {
		return claveIva;
	}

	public void setClaveIva(String claveIva) {
		this.claveIva = claveIva;
	}

	@Override
	public String toString() {
		return "ContratoNotaCreditoDetalleDTO [idContrato=" + idContrato + ", numeroContrato=" + numeroContrato + ", costo=" + costo + ", monto=" + monto + ", idSap=" + idSap + ", claveIva="
		        + claveIva + ", titulos=" + titulos + "]";
	}

}
